Bug 122873 - Change in kernel between Red Hat Linux 9 and Fedora Core 1 breaks compatiblity with Maple 7
Change in kernel between Red Hat Linux 9 and Fedora Core 1 breaks compatiblit...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-05-09 16:20 EDT by William M. Quarles
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 18:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William M. Quarles 2004-05-09 16:20:53 EDT
Description of problem:
I cannot run Maple 7 since I upgraded from Red Hat Linux 9 to Fedora
Core 1.  Maple is a mathmatical tool program published by Waterloo
Maple Inc., of Waterloo, Ontario, Canada.  Information can be found at

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Maple 7 Linux Single User
2. Implement the Red Hat Linux 9 fix found at
3. Run xmaple.
Actual results:
Maple opens, but an error dialog comes up saying that there was a
startup error.  If you click on the "Details..." button, it says
"Kernel server failure:".  At the commandline, an error message says,
"could not create kernel, /usr/local/maple_su/bin.IBM_INTEL_LINUX/mserver
could not start server"

Expected results:
Maple should have started normally.

Additional info:
Waterloo Maple isn't going to fix this, so I hope that you guys can. 
I'm sure that it was a minor change from 2.4.20 to 2.4.22 that caused
the failure.
Comment 1 Arjan van de Ven 2004-05-09 16:22:58 EDT
well clearly we need more info to even maybe get a handle on this one.
Any clues about what goes wrong?
Is this strace-able or is it enormous if you do so ?
Comment 2 William M. Quarles 2004-05-10 11:40:35 EDT
Actually, I figured out what the problem is this morning.  It was
giving another error message that I was ignoring, about not being able
to look up my host.  GNOME was complaining about not being about to
look up my the internet address for my hostname either.  I'm just on a
home network with 192.168.0.x addresses for my computers, and only one
computer has the actual internet connection, the rest piggy back off
of it.

I figured that the messages about this were irrelevant, but it wasn't.
 the entry in my /etc/hosts file read:
resistance       localhost.localdomain   localhost

During the Fedora installation, it said something like, "you can name
your computer if you want to," and I thought, "Wow, that's kind of
cool, I can make up a name for my computer."  So I named it
resistance.  Boy was that misleading.  All that I had to do was delete
the hostname from the /etc/hosts file, and then both Maple and GNOME
worked without error messages.

I'm not sure if this is a problem with Anaconda or Anaconda-help,
because I don't remember whether it was the installation program or
the help off to the left in the GUI that inspired me to give my
computer a name, so I chose Anaconda, and I have lowered the severity
of the bug.  I think that whatever propmts the user to name their
computer needs to be more explicit as to what naming their computer
entails; because for people who do not have a permanent hostname,
apparently it entails some programs that screw around with networking
not working properly, and giving error messages about the kernel, when
the real problem is networking.

Sorry for the inconvenience to the kernel guys.  If you still want me
to run strace, I will.

Note You need to log in before you can comment on or make changes to this bug.